$(function () {
    $page.onChange('balaiosList', function (event) {
        menu = $('#nav-balaios-menu');
        menu.empty();
        var checkActive = false;
        for (var i=0; i<$page.balaiosList.length; i++) {
            var menuItem = $('<a class="dropdown-item" href="#">');
            menuItem.data('smid', $page.balaiosList[i].smid);
            menuItem.text($page.balaiosList[i].name);
            menuItem.click(function (event) {
                var smid = $(this).data('smid');
                for (var j=0; j<$page.balaiosList.length; j++) {
                    if (smid == $page.balaiosList[j].smid) {
                        $page.balaio = $page.balaiosList[j];
                        break;
                    }
                }
            });
            menu.append(menuItem);
            if ($page.balaio && !checkActive) {
                checkActive = $page.balaio.smid == $page.balaiosList[i].smid;
            }
        }
        if ($page.balaio && !checkActive) {
            $page.balaio = $page.balaioDefault;
        }
    });
    $page.onChange('mucuasList', function (event) {
        menu = $('#nav-mucuas-menu');
        menu.empty();
        if ($page.mucuasList.length == 0) {
            $page.mucua = null;
            $('#nav-mucuas-list').css('display', 'none');
            return;
        }
        if ($page.mucuasList.length == 1) {
            $page.mucua = $page.mucuasList[0];
            $('#nav-mucuas-list').css('display', 'none');
            return;
        }
        $('#nav-mucuas-list').css('display', 'block');
        var newMucua = $page.mucuasList[0];
        for (var i=0; i<$page.mucuasList.length; i++) {
            if ($page.mucua && $page.mucua.smid == $page.mucuasList[i].smid) {
                newMucua = $page.mucuasList[i];
            }
            var menuItem = $('<a class="dropdown-item" href="#">');
            menuItem.data('smid', $page.mucuasList[i].smid);
            menuItem.text($page.mucuasList[i].name);
            menuItem.click(function (event) {
                var smid = $(this).data('smid');
                for (var j=0; j<$page.mucuasList.length; j++) {
                    if (smid == $page.mucuasList[j].smid) {
                        $page.mucua = $page.mucuasList[j];
                        break;
                    }
                }
            });
            menu.append(menuItem);
        }
        $page.mucua = newMucua;
    });
    $page.onChange('balaio', function (event) {
        $('#nav-balaio').text($page.balaio.name);
    });
    $page.onChange('mucua', function (event) {
        if (!$page.mucua) {
            $('#nav-mucua').css('display', 'none');
            $('#nav-mucua').text('');
            return;
        }
        $('#nav-mucua').css('display', 'block');
        $('#nav-mucua').text($page.mucua.name);
    });
    $page.onChange('context', function (event) {
        console.log('new context: '+$page.context);
    });
    $page.onChange('session', function (event) {
        $page.loadBalaiosList();
        if ($page.balaio) {
            $page.loadMucuasList();
        }
    });
    $("#nav-galaxy").click(function (event) {
        $page.context = 'galaxy';
    });
    $("#nav-balaio").click(function (event) {
        $page.context = 'balaio';
    });
    $("#nav-mucua").click(function (event) {
        $page.context = 'mucua';
    });
});