var $translator = {
    language: DEFAULT_LANGUAGE,
    translations: {},
    translate: function (selector) {
        $(selector).find("[data-translate]").each(function () {
            var key = $(this).data('translate').split('.');
            var val = $translator.translations[$translator.language];
            for (var i=0; i<key.length; i++) {
                val = val[key[i]];
            }
            if (this.tagName.toUpperCase() === "INPUT") {
                $(this).attr('placeholder', val);
            } else {
                $(this).text(val);
            }
        });
    }
};

$t = function (selector) {
    $translator.translate(selector);
}

$translation = function (language, contents) {
    $translator.translations[language] = contents;
};